org.jboss.jca.common.api.metadata

## Class MergeUtil

- java.lang.Object
- - org.jboss.jca.common.api.metadata.MergeUtil

-     public class MergeUtil
      extends java.lang.Object

  A static class with Merge Utilities methods.
  Author:
    Stefano Maestri

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<ConfigProperty>` | `mergeConfigList(java.util.List<ConfigProperty> left, java.util.List<ConfigProperty> right)` F Merge to List of ConfigProperty.
    `static <T> java.util.List<T>` | `mergeList(java.util.List<T> left, java.util.List<T> right)` Merge to List.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeUtil

          public MergeUtil()

  - ### Method Detail

    - #### mergeList

          public static <T> java.util.List<T> mergeList(java.util.List<T> left,
                                                        java.util.List<T> right)

      Merge to List. The results is the union of the two arrays. Element present in left and right List (letft.equals(right) = true) are present only one and left ones are selected
      Type Parameters:
        `T` - the type of List elements
      Parameters:
        `left` - left side List to merge
        `right` - right side List to merge
      Returns:
        merged List

    - #### mergeConfigList

          public static java.util.List<ConfigProperty> mergeConfigList(java.util.List<ConfigProperty> left,
                                                                       java.util.List<ConfigProperty> right)

      F Merge to List of ConfigProperty. The results is the union of the two arrays. Element present in left and right List (letft.equals(right) = true) are present only one and left ones are selected
      Parameters:
        `left` - left side List to merge
        `right` - right side List to merge
      Returns:
        merged List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)